aboutsummaryrefslogtreecommitdiffstats
path: root/Mk/Scripts
diff options
context:
space:
mode:
authormat <mat@FreeBSD.org>2017-04-04 22:06:41 +0800
committermat <mat@FreeBSD.org>2017-04-04 22:06:41 +0800
commitdee32c110dba6b52087aac8dc4ab7d51e8ee48db (patch)
treee0458524abf903110cc1b3c4aed16a33537f16a7 /Mk/Scripts
parented869513a51c6342d08f761aa695460060be29c2 (diff)
downloadfreebsd-ports-gnome-dee32c110dba6b52087aac8dc4ab7d51e8ee48db.tar.gz
freebsd-ports-gnome-dee32c110dba6b52087aac8dc4ab7d51e8ee48db.tar.zst
freebsd-ports-gnome-dee32c110dba6b52087aac8dc4ab7d51e8ee48db.zip
The lang/perl5* ports are allowed to have their shebangs pointing to the
versionned binaries. Sponsored by: Absolight
Diffstat (limited to 'Mk/Scripts')
-rw-r--r--Mk/Scripts/qa.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/Mk/Scripts/qa.sh b/Mk/Scripts/qa.sh
index e9eab07df733..da6ffcbae117 100644
--- a/Mk/Scripts/qa.sh
+++ b/Mk/Scripts/qa.sh
@@ -46,9 +46,12 @@ shebangonefile() {
"") ;;
${LINUXBASE}/*) ;;
${LOCALBASE}/bin/perl5.* | ${PREFIX}/bin/perl5.*)
- err "'${interp}' is an invalid shebang for '${f#${STAGEDIR}${PREFIX}/}' you must use ${LOCALBASE}/bin/perl."
- err "Either pass \${PERL} to the build or use USES=shebangfix"
- rc=1
+ # lang/perl5* are allowed to have these shebangs.
+ if ! expr ${PKGORIGIN} : '^lang/perl5.*' > /dev/null; then
+ err "'${interp}' is an invalid shebang for '${f#${STAGEDIR}${PREFIX}/}' you must use ${LOCALBASE}/bin/perl."
+ err "Either pass \${PERL} to the build or use USES=shebangfix"
+ rc=1
+ fi
;;
${LOCALBASE}/*) ;;
${PREFIX}/*) ;;